﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 커스텀 WIN32 윈도우
    /// </summary>
    public class CustomWin32Window : IWin32Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 윈도우 핸들
        /// </summary>
        private IntPtr windowHandle;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 핸들 - Handle

        /// <summary>
        /// 핸들
        /// </summary>
        public IntPtr Handle
        {
            get
            {
                return this.windowHandle;
            }
        }

        #endregion
        #region 생성자 - CustomWin32Window(windowHandle)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="windowHandle">윈도우 핸들</param>
        public CustomWin32Window(IntPtr windowHandle)
        {
            this.windowHandle = windowHandle;
        }

        #endregion
    }
}